For the complete documentation index, see llms.txt. This page is also available as Markdown.

Chart Management APIs

1. Create a Chart of Accounts

Endpoint

POST /api/v1/chart

Description

This endpoint creates a new chart of accounts, providing a container to organize related accounts.

Authentication

Bearer token for authentication

Input parameters

Name: Type:

Responses

200 OK: Sample response below

Error Codes:

  • 400 Bad Request: Invalid input.

  • 401 Unauthorized: Missing or invalid authentication.

post

Creates a new chart of accounts.

Body

Agent supplied information about a chart of accounts.

@typestring · enumRequiredPossible values:
namestringRequired

The name of the chart of accounts.

Responses
200

Response to /api/v1/chart/

application/json

A chart of accounts.

created_atstring · date-timeRequired

The time at which the chart was created in the ledger.

idinteger · int64Required

An identifier assigned to the chart of accounts by the ledger. A positive number.

updated_atstring · date-timeRequired

The time at which the chart was last updated in the ledger.

@typestring · enumRequiredPossible values:
post/api/v1/chart/
POST /api/v1/chart/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 66

{
  "@type": "cac_ledger_schema_info_ledger_chart_info",
  "name": "text"
}
{
  "@type": "cac_ledger_schema_element_ledger_chart_elem",
  "created_at": "2026-01-01T00:00:00.000Z",
  "id": 1,
  "info": {
    "@type": "cac_ledger_schema_info_ledger_chart_info",
    "name": "text"
  },
  "updated_at": "2026-01-01T00:00:00.000Z"
}

2. List Charts

Endpoint

GET /api/v1/chart

Description

Retrieve a list of all charts of accounts defined in the ledger.

Responses

200 OK: Sample response below

Error Codes: 401 Unauthorized: Missing or invalid authentication.

get

Queries the charts of accounts.

Query parameters
filterstringOptional
page[size]stringOptional
page[number]stringOptional
sortstringOptional
Responses
200

Response to /api/v1/chart/

No content

get/api/v1/chart/
GET /api/v1/chart/ HTTP/1.1
Accept: */*

No content

Last updated